import { XmlStream } from "@excel/utils/xml-stream";
interface ParseEvent {
    eventType: string;
    value: any;
}
declare class BaseXform<TModel = any> {
    map?: {
        [key: string]: any;
    };
    model?: TModel;
    prepare(_model?: any, _options?: any): void;
    render(_xmlStream?: XmlStream, _model?: any): void;
    parseOpen(_node: any): void;
    parseText(_text: string): void;
    parseClose(_name: string): boolean;
    reconcile(_model: any, _options?: any): void;
    reset(): void;
    mergeModel(obj: any): void;
    parse(saxParser: AsyncIterable<ParseEvent[]>): Promise<TModel | undefined>;
    parseStream(stream: any): Promise<TModel | undefined>;
    get xml(): string;
    toXml(model?: any): string;
    static toAttribute(value: any, dflt?: any, always?: boolean): string | undefined;
    static toStringAttribute(value: any, dflt?: any, always?: boolean): string | undefined;
    static toStringValue(attr: any, dflt?: any): any;
    static toBoolAttribute(value: any, dflt?: any, always?: boolean): string | undefined;
    static toBoolValue(attr: any, dflt?: any): boolean;
    static toIntAttribute(value: any, dflt?: any, always?: boolean): string | undefined;
    static toIntValue(attr: any, dflt?: any): number;
    static toFloatAttribute(value: any, dflt?: any, always?: boolean): string | undefined;
    static toFloatValue(attr: any, dflt?: any): number;
}
export { BaseXform };
